WSDiscovery11::Types::SigType(3)

NAME
WSDiscovery::Types::SigType

DESCRIPTION
Perl data type class for the XML Schema defined complexType SigType from the namespace http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # WSDiscovery::Types::SigType
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class WSDiscovery::Types::SigType::_SigType::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   Scheme

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::anyURI.

•   KeyId

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::base64Binary.

•   Refs

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::IDREFS.

•   Sig

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::base64Binary.

AUTHOR
Generated by SOAP::WSDL